Package org.apache.tomcat.util.http.fileupload

# Interface RequestContext

All Known Subinterfaces:
  `UploadContext`

All Known Implementing Classes:
  `ServletRequestContext`

public interface RequestContext

Abstracts access to the request information needed for file uploads. This interface should be implemented for each type of request that may be handled by FileUpload, such as servlets and portlets.

Since:
  1.1

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCharacterEncoding()`
  Retrieve the character encoding for the request.
  `String`
  `getContentType()`
  Retrieve the content type of the request.
  `InputStream`
  `getInputStream()`
  Retrieve the input stream for the request.

- ## Method Details

  - ### getCharacterEncoding

    String getCharacterEncoding()
    Retrieve the character encoding for the request.
    Returns:
      The character encoding for the request.

  - ### getContentType

    String getContentType()
    Retrieve the content type of the request.
    Returns:
      The content type of the request.

  - ### getInputStream

    InputStream getInputStream() throws IOException
    Retrieve the input stream for the request.
    Returns:
      The input stream for the request.
    Throws:
      `IOException` - if a problem occurs.